<template>
  <section>
    <base-card>
      <h2>Register as a coach</h2>
      <coach-register-form @save-data="registerCoach"></coach-register-form>
    </base-card>
  </section>
</template>

<script>
import CoachRegisterForm from './CoachRegisterForm';

export default {
  name: 'CoachRegister',
  components: {
    CoachRegisterForm,
  },
  methods: {
    registerCoach(newCoach){
      this.$store.dispatch('coach/addNewCoach',newCoach);
    },
  },
};
</script>

<style scoped>

</style>